---
title: "Get Group History"
slug: "get-group-history"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Group History

Get/api/v1/groups.history

Retrieves the messages from a private channel you belong to.

### Changelog

| Version | Description |
| --- | --- |
| 0.75.0 | Added `offset` property |
| 0.48.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersroomIdstringRequired

The room id.

Examplejdiue8TGkodp
lateststring

The end of the time range of messages to retrieve. The default value is the current date and time.

Example2025-09-30T13:42:25.304Z
oldeststring

The start of the time range to retrieve messages.

Example2025-05-30T13:42:25.304Z
inclusiveboolean

Whether messages sent on the latest and oldest dates should be included. The default value is false.

Exampletrue
unreadsboolean

Whether unread messages should be included in the response. The default value is false.

Examplefalse
offsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='e20429b4-6acb-489c-8dab-0396076551ca'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='fda26dee-69b9-467a-b29d-f4ada71a590a'>Success</option>
</select>Success

```json
{
  "messages": [
    {
      "_id": "AkzpHAvZpdnuchw2a",
      "rid": "ByehQjC44FwMeiLbX",
      "msg": "hi",
      "ts": "2025-12-09T12:50:51.555Z",
      "u": {
        "_id": "y65tAmHs93aDChMWu",
        "username": "testing"
      },
      "_updatedAt": "2025-12-09T12:50:51.562Z"
    },
    {
      "_id": "vkLMxcctR4MuTxreF",
      "t": "uj",
      "rid": "ByehQjC44FwMeiLbX",
      "ts": "2025-12-08T15:41:37.730Z",
      "msg": "testing2",
      "u": {
        "_id": "bRtgdhzM6PD9F8pSx",
        "username": "testing2"
      },
      "groupable": false,
      "_updatedAt": "2025-12-08T16:03:25.235Z"
    },
    {
      "_id": "bfRW658nEyEBg75rc",
      "t": "uj",
      "rid": "ByehQjC44FwMeiLbX",
      "ts": "2025-12-07T15:47:49.099Z",
      "msg": "testing",
      "u": {
        "_id": "nSYqWzZ4GsKTX4dyK",
        "username": "testing1"
      },
      "groupable": false,
      "_updatedAt": "2025-12-07T15:47:49.099Z"
    },
    {
      "_id": "pbuFiGadhRZTKouhB",
      "t": "uj",
      "rid": "ByehQjC44FwMeiLbX",
      "ts": "2025-12-06T17:57:38.635Z",
      "msg": "testing",
      "u": {
        "_id": "y65tAmHs93aDChMWu",
        "username": "testing"
      },
      "groupable": false,
      "_updatedAt": "2025-12-06T17:57:38.635Z"
    }
  ],
  "success": true
}
```

Expand Allobject  messages Array of object   object  _idstring    
ridstring    
msgstring    
tsstring    
uobject  _idstring    
usernamestring    

_updatedAtstring    
tstring    
groupableboolean    

successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='725c7291-0327-4301-86fa-03bf3ef71f51'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='8b741a92-952a-437b-a215-d56e29a1cf65'>Example 1</option>
</select>Example 1

```json
{
  "success": false,
  "error": "The parameter \"roomId\" or \"roomName\" is required [error-room-param-not-provided]",
  "errorType": "error-room-param-not-provided"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='9886e80e-2886-4b2f-b5cf-6fadac6947bd'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='e468af53-0938-4e59-904f-ac34e6f4b34f'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
